This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 967265 - Grub2 does not ship with iorw module, which prevents booting on certain hardware
Grub2 does not ship with iorw module, which prevents booting on certain hardware
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: grub2 (Show other bugs)
23
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Peter Jones
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-26 02:53 EDT by William Brown
Modified: 2016-12-20 07:38 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 07:38:51 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description William Brown 2013-05-26 02:53:24 EDT
Description of problem:
Certain laptops, especially Apple MacBook pro's ship with a graphics multiplexer due to their dual graphics nature. At this time, this support is still broken in the kernel and will not be fixed soon.

In order to boot these laptops the command "outb" must be available in grub2 so that the gmux can be put into a sane state so the machine will boot.

In order for this to happen, the iorw module should be built by default in grub2. This will not affect any other hardware configurations, but will simplify the currently complex situation for Apple Mac hardware.

It grub2.spec line 538 add:

iorw

To the GRUB_MODULES section.
Comment 1 Mads Kiilerich 2013-05-27 19:56:55 EDT
Can you give any references that indicate that this really is the best solution to a real problem?

Even then: This will be of very limited use without a mechanism for using it automatically from grub.cfg.

If you have to generate a custom grub.cfg for this anyway then you can just as well run grub2-install as upstream intended and create a custom .efi .
Comment 2 William Brown 2013-05-31 01:11:11 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=765954

At this time, when an intel MBP boots, both GPU's are powered on. You can run the high powered gpu, without (much) issue at this point.

Swapping to the intel gpu however, causes the display to go blank. All my attempts to convince kernel developers to actually help, have fallen on deaf ears.

To avoid this, the only solution is to before booting, swap the graphics card to the low powered GPU before boot. To achieve this you must probe memory values to achieve this.

However, you make a good point. I still need to make a custom configuration to grub. Thus I will close this issue.
Comment 3 Mads Kiilerich 2013-06-02 18:29:58 EDT
A howto, for example linked from "common bugs" would probably be helpful for someone ;-)
Comment 4 William Brown 2013-06-02 21:21:04 EDT
A fix from the kernel developers should be the only solution. However, they seem to "not care" about this issue ;)

I will write a page on the Fedora wiki later when I have time about this issue.
Comment 5 Lubos Kocman 2016-02-18 16:44:32 EST
Re-opening ... since this is still an issue in f23.

Lubos
Comment 6 Fedora End Of Life 2016-11-24 05:58:59 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2016-12-20 07:38:51 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.